#include<iostream>
 using namespace std;
 int main()
 {
	 long long v, k, rez=0;
	 cin>>v;
	 while(n>0)
	 {
		 k=n%10;
		 if(k==1 || k==2 ||k==5)
		 {
			 rez=rez+1;
		 }
		 if(k==3 || k==4 || k==6 || k==7)
		 {
			 rez=rez+2;
		 }
		 if(k==8)
		 {
			 rez=rez+3;
		 }
		 if(k==9)
		 {
			 rez=rez+4;
		 }
		 n=n/10;
	 }
	 cout<<rez;
	 return 0;